=== testsuite/Makefile ===
test:
include ../Makefile.conf

# ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
# LD_LIBRARY_PATH:=${prefix}/lib:${LD_LIBRARY_PATH}
# export ADA_PROJECT_PATH
# export LD_LIBRARY_PATH

test_names=

test:
	@python ./run.py ${test_names}

verbose:
	@python ./run.py -v -v ${test_names}

clean:
