=== debian/changelog ===
libgnatcoll (1.6gpl2014-9) unstable; urgency=medium

  * patches/explicit-source-dirs-in-projects.diff closes: #802862.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Oct 2015 19:34:08 +0100

libgnatcoll (1.6gpl2014-8) unstable; urgency=medium

  * Mix gnat-4.9 with gcc-4.9 instead of default gcc-5. Closes: #777946.
  * (XS-)Testsuite: now generated by dpkg-source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 Sep 2015 00:45:05 +0200

libgnatcoll (1.6gpl2014-7) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.
    Freeze the clock for deterministic PDF timestamps.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:31:48 +0200

libgnatcoll (1.6gpl2014-6) unstable; urgency=medium

  * Section: move source to misc and -dev to libdevel, as do ftpmasters.
  * Priority: raise run-time libraries and -bin to optional, to allow
    optional reverse dependencies (gnat-gps, asis-programs).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 23:14:53 +0200

libgnatcoll (1.6gpl2014-5) unstable; urgency=medium

  * Drop PostGreSQL support, which depends on OpenSSL and is thus
    incompatible with the GPL. Closes: #763284.
  * Standards-Version: 3.9.6 without changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 04 Oct 2014 13:51:20 +0200

libgnatcoll (1.6gpl2014-4) unstable; urgency=medium

  * Link with pthread to circumvent compiler bug #760211.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Sep 2014 00:01:38 +0200

libgnatcoll (1.6gpl2014-3) unstable; urgency=medium

  * Break/Replace gnat-gps << 5.3-4, previous provider of gnatinspect.
  * copyright: explain why some headers contain the GPL-2+.
  * Let libgnatcoll-dev Depends: libgnatgpr-dev (via ada:Depends).
  * Drop redundant Build-Depends-Indep: sphinx-common.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 20:42:35 +0200

libgnatcoll (1.6gpl2014-2) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Aug 2014 06:29:11 +0200

libgnatcoll (1.6gpl2014-1) unstable; urgency=medium

  * Initial packaging. Closes: #757309.
    GPL 2014 is between 1.6 and 1.7 commercial releases.
    Upstream archive is repackaged without minified javascript.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 Aug 2014 03:35:11 +0200
