=== debian/control ===
Source: libgnatcoll
Priority: extra
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 autoconf, autotools-dev,
# Rules regenerate all the configure stuff.
 gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
 dh-ada-library,
# gprbuild >= 2014dfsg-2 allows to select an explicit gcc-x.y.
 gprbuild (>= 2014dfsg-2),
 libgmp-dev,
 libgtkada2.24.4-dev, pkg-config, python-gtk2-dev,
 libpython-dev,
 libreadline-dev,
 libsqlite3-dev,
# dh_sphinxdoc
 sphinx-common
Build-Depends-Indep:
# Called in rules for deterministic PDF timestamps.
 faketime,
# Formatting
 python-sphinx,
 texlive-fonts-recommended,
 texlive-latex-extra
Homepage: http://libre.adacore.com/libre/tools
Standards-Version: 3.9.6
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
Vcs-Mtn: www.ada-france.org org.debian.libgnatcoll

Package: libgnatcoll1.6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications.

Package: libgnatcoll-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: GNATColl, general purpose Ada library (documentation)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libgnatcoll1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library.

Package: libgnatcoll-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the shared
 library.

######################################################################

Package: libgnatcoll-python1.6-dev
Section: libdevel
Architecture: any
Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (Python)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 adding Python as scripting language.

Package: libgnatcoll-python1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (Python runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for Python
 scripting.

Package: libgnatcoll-python-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (Python debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for Python
 scripting.

######################################################################

Package: libgnatcoll-iconv1.6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (iconv)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with the Iconv C library.

Package: libgnatcoll-iconv1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (iconv runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the iconv
 binding.

Package: libgnatcoll-iconv-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (iconv debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the iconv
 binding.

######################################################################

Package: libgnatcoll-sqlite1.6-dev
Section: libdevel
Architecture: any
Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 dedicated to SQLite databases manipulation.

Package: libgnatcoll-sqlite1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (sqlite runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the SQLite
 extension.

Package: libgnatcoll-sqlite-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (SQLite debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the SQLite
 extension.

Package: libgnatcoll-sqlite-bin
Section: devel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# gnat-gps used to provide gnatinspect.
Breaks: gnat-gps (<< 5.3-4)
Replaces: gnat-gps (<< 5.3-4)
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite tools)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the tools dedicated to SQLite database
 manipulation (gnatcoll_db2ada and gnatinspect).

######################################################################

Package: libgnatcoll-readline1.6-dev
Section: libdevel
Architecture: any
Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
Recommends: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (readline)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the binding with GNU readline and history libraries.

Package: libgnatcoll-readline1.6
Section: libs
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (readline runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the readline
 binding.

Package: libgnatcoll-readline-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: GNATColl, general purpose Ada library (readline debugging symbols)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the detached debugging symbols for the readline
 binding.

######################################################################

Package: libgnatcoll-gmp1.6-dev
Section: libdevel
Architecture: any
