=== debian/watch ===
# Upstream uses a complicated website making hard to automatically find new
# versions of GNATColl. See debian/copyright for the URL.
