## libgnatcoll 1.7gpl2015

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,16 @@
 examples:
 	${MAKE} -C examples all
 
+SQLITE_DIR=src/sqlite/amalgamation
+sqlite3_shell: $(SQLITE_DIR)/sqlite3_for_gps
+$(SQLITE_DIR)/sqlite3_for_gps: $(SQLITE_DIR)/shell.c $(SQLITE_DIR)/sqlite3.c
+ifeq ($(OS),Windows_NT)
+	-cd $(SQLITE_DIR); gcc -O2 -DSQLITE_OMIT_LOAD_EXTENSION -D__EXTENSIONS__ -o sqlite3_for_gps shell.c sqlite3.c
+else
+	# If we fail to compile, never mind. Some tests will simply be disabled
+	-cd $(SQLITE_DIR); gcc -O2 -DSQLITE_OMIT_LOAD_EXTENSION -D__EXTENSIONS__ -o sqlite3_for_gps shell.c sqlite3.c -lpthread -ldl
+endif
+
 ## Create links for the gnat sources
 
 do_links:
@@ -89,7 +99,7 @@
 local_install: force
 	@${MAKE} prefix=${shell pwd}/local_install install >/dev/null
 
-test: local_install
+test: sqlite3_shell local_install
 	@${MAKE} test_names="${test_names}" -C testsuite
 
 test_verbose: local_install
