=== debian/changelog ===
libgnatcoll (1.7gpl2015-2) unstable; urgency=medium

  * Revert to python2 as long as most startup scripts in the gnat-gps
    reverse dependency are incompatible with python3. Reopens: #760004.
  * Build-Depend: texlive-generic-extra for iftex.sty. Closes: #830334.
  * Ensure that ./configure and gprbuild use gnatgcc instead of gcc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jul 2016 08:05:19 +0200

libgnatcoll (1.7gpl2015-1) unstable; urgency=medium

  * Build with gnat-6 and gprbuild >= 2015-2. Upload to unstable.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Enable all hardening options, but PIE because we build a shared library.
  * Move sphinx-common to Build-Depends-Indep.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 10:06:03 +0200

libgnatcoll (1.7gpl2015-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Build-Depend gnat-5, rename library and -dev packages per Ada policy.
  * watch: use Adacore uscan redirector.
  * copyright: since Files-Excluded is mandatory for minified javascript,
    also remove generated, copied or unused sources.
  * Transmit -a/-i options to dh-ada-library. Closes: #806628.
  * Select python3 instead of 2. Closes: #760004.
  * Set build flags from ./configure instead of gprbuild.
    Let gprbuild select the right gcc version to mix with Ada.
    Configure only once during arch & indep builds.
  * generate-sources-timestamp.diff: update timestamp only if contents
    changed (for reproducible builds).
  * Standards-Version: 3.9.7.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Feb 2016 14:34:24 +0100
