=== debian/control ===
--- 
+++ 
@@ -5,30 +5,34 @@
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  autoconf, autotools-dev,
 # Rules regenerate all the configure stuff.
- gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
- dh-ada-library,
-# gprbuild >= 2014dfsg-2 allows to select an explicit gcc-x.y.
- gprbuild (>= 2014dfsg-2),
+ gnat, gnat-6, libgnatprj6-dev, libgnatvsn6-dev,
+# dh-ada-library knowing that -dbg packages are obsolete.
+ dh-ada-library (>= 6.7),
+# gprbuild compatible with gnat-6
+ gprbuild (>= 2015-2),
+# Implicit libc6-dev provides: iconv, syslog.
  libgmp-dev,
- libgtkada2.24.4-dev, pkg-config, python-gtk2-dev,
- libpython-dev,
+ libgtkada3.8.3-dev, pkg-config, python-gi-dev,
+ python-dev, libpython-dev,
  libreadline-dev,
- libsqlite3-dev,
-# dh_sphinxdoc
- sphinx-common
+ libsqlite3-dev
 Build-Depends-Indep:
 # Called in rules for deterministic PDF timestamps.
  faketime,
-# Formatting
+# Formatting (python3-sphinx is experimental)
  python-sphinx,
  texlive-fonts-recommended,
+# sphinx-doc requires iftex.sty:
+ texlive-generic-extra,
  texlive-latex-extra
+# dh_sphinxdoc
+ ,sphinx-common
 Homepage: http://libre.adacore.com/libre/tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgnatcoll
 Vcs-Mtn: www.ada-france.org org.debian.libgnatcoll
 
-Package: libgnatcoll1.6-dev
+Package: libgnatcoll1.7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -56,7 +60,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libgnatcoll1.6
+Package: libgnatcoll1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -72,26 +76,9 @@
  .
  This package contains the runtime shared library.
 
-Package: libgnatcoll-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the shared
- library.
-
-######################################################################
-
-Package: libgnatcoll-python1.6-dev
+######################################################################
+
+Package: libgnatcoll-python1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libpython-dev, ${misc:Depends}, ${ada:Depends}
@@ -106,7 +93,7 @@
  This package contains the static library and Ada specifications
  adding Python as scripting language.
 
-Package: libgnatcoll-python1.6
+Package: libgnatcoll-python1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -123,26 +110,9 @@
  This package contains the runtime shared library for Python
  scripting.
 
-Package: libgnatcoll-python-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (Python debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for Python
- scripting.
-
-######################################################################
-
-Package: libgnatcoll-iconv1.6-dev
+######################################################################
+
+Package: libgnatcoll-iconv1.7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -157,7 +127,7 @@
  This package contains the static library and Ada specifications
  for the binding with the Iconv C library.
 
-Package: libgnatcoll-iconv1.6
+Package: libgnatcoll-iconv1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -174,26 +144,9 @@
  This package contains the runtime shared library for the iconv
  binding.
 
-Package: libgnatcoll-iconv-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (iconv debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the iconv
- binding.
-
-######################################################################
-
-Package: libgnatcoll-sqlite1.6-dev
+######################################################################
+
+Package: libgnatcoll-sqlite1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
@@ -208,7 +161,7 @@
  This package contains the static library and Ada specifications
  dedicated to SQLite databases manipulation.
 
-Package: libgnatcoll-sqlite1.6
+Package: libgnatcoll-sqlite1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -223,23 +176,6 @@
  distributed in separate packages.
  .
  This package contains the runtime shared library for the SQLite
- extension.
-
-Package: libgnatcoll-sqlite-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (SQLite debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the SQLite
  extension.
 
 Package: libgnatcoll-sqlite-bin
@@ -263,7 +199,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-readline1.6-dev
+Package: libgnatcoll-readline1.7-dev
 Section: libdevel
 Architecture: any
 Depends: libreadline-dev, ${misc:Depends}, ${ada:Depends}
@@ -278,7 +214,7 @@
  This package contains the static library and Ada specifications
  for the binding with GNU readline and history libraries.
 
-Package: libgnatcoll-readline1.6
+Package: libgnatcoll-readline1.7
 Section: libs
 Priority: optional
 Architecture: any
@@ -295,25 +231,69 @@
  This package contains the runtime shared library for the readline
  binding.
 
-Package: libgnatcoll-readline-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${ada:Depends}, ${misc:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: GNATColl, general purpose Ada library (readline debugging symbols)
- The GNAT Component Collection deals with: module tracing, efficient
- file IO, static string searching (Boyer-Moore), e-mails and
- mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
- shell scripting. Components relying on external dependencies are
- distributed in separate packages.
- .
- This package contains the detached debugging symbols for the readline
- binding.
-
-######################################################################
-
-Package: libgnatcoll-gmp1.6-dev
-Section: libdevel
-Architecture: any
+######################################################################
+
+Package: libgnatcoll-gmp1.7-dev
+Section: libdevel
+Architecture: any
+Depends: libgmp-dev, ${misc:Depends}, ${ada:Depends}
+Recommends: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (GMP)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the binding with the GNU Multiprecision arithmetic C library.
+
+Package: libgnatcoll-gmp1.7
+Section: libs
+Priority: optional
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (GMP runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the GMP binding.
+
+######################################################################
+
+Package: libgnatcoll-gtk1.7-dev
+Section: libdevel
+Architecture: any
+Depends: python-gi-dev, ${misc:Depends}, ${ada:Depends}
+Recommends: libgnatcoll-doc
+Description: GNATColl, general purpose Ada library (GTKAda)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the static library and Ada specifications
+ for the GTKAda extension.
+
+Package: libgnatcoll-gtk1.7
+Section: libs
+Priority: optional
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: GNATColl, general purpose Ada library (GTKAda runtime)
+ The GNAT Component Collection deals with: module tracing, efficient
+ file IO, static string searching (Boyer-Moore), e-mails and
+ mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
+ shell scripting. Components relying on external dependencies are
+ distributed in separate packages.
+ .
+ This package contains the runtime shared library for the GTKAda
+ extension.
